MODULE YOMGFL

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE
SAVE

!     -------------------------------------------------------------------------

!*    GFL gridpoint arrays 
!     For the part of GFL that maps into spectral space see yomsp.F90 (SPGFL etc.)
!     All arrays have the layout(NPROMA,NFLEVG,"number of variables",NGPBLKS)

! GFL        - main GFL array holding t0 and t1 GFL variables
! GFLT1      - GFL array for t+dt quantities
! GFLSLP     - GFL array for use in semi-lagrangian physics
! GFL5       - trajectory GFL array
! GFL_DEPART - used in 3-D FGAT (LIDMODEL)
! GFLPT      - physics tendency GFL array
! GFLPC      - predictor/corrector auxiliary arrays (3TL)

!     -------------------------------------------------------------------------

REAL(KIND=JPRB),ALLOCATABLE :: GFL        (:,:,:,:)
REAL(KIND=JPRB),ALLOCATABLE :: GFLT1      (:,:,:,:)
REAL(KIND=JPRB),ALLOCATABLE :: GFLSLP     (:,:,:,:)
REAL(KIND=JPRB),ALLOCATABLE :: GFL5       (:,:,:,:)
REAL(KIND=JPRB),ALLOCATABLE :: GFL_DEPART (:,:,:,:)
REAL(KIND=JPRB),ALLOCATABLE :: GFLPT      (:,:,:,:)
REAL(KIND=JPRB),ALLOCATABLE :: GFLPC      (:,:,:,:)

!     -------------------------------------------------------------------------
END MODULE YOMGFL
